PROGRAM recurs(input,output);

{$A-} {Dieser Compiler-Befehl schaltet die Erzeugung eines Absoluten}
      {Codes aus. Dadurch wird Rekursion ermoeglicht. Der Erzeugte Code}
      {wird allerdings laenger, und die Programmausfuehrung langsamer.}

{----------------------------------------------------------------------------}
PROCEDURE bearbeiten;

VAR zeichen:char;

BEGIN{bearbeiten}
  read(zeichen);
  IF zeichen<>' ' THEN bearbeiten;
  write(zeichen)
END;{bearbeiten}
{----------------------------------------------------------------------------}

BEGIN{recurs}
  writeln;writeln;
  writeln('Geben Sie ein Wort ein. Druecken Sie nach jedem Buchstaben die CR-Taste.');
  writeln('Tippen Sie Leerzeichen zum anhalten.');
  write(' ');
  bearbeiten;
  writeln;writeln
END.{recurs}